Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class ASTMethodDeclaration

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.AccessNode
                  net.sourceforge.pmd.ast.ASTMethodDeclaration

All Implemented Interfaces:
  JavaNode, Node

public class ASTMethodDeclaration
extends AccessNode

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.AccessNode
`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`ASTMethodDeclaration(int id)`
`ASTMethodDeclaration(JavaParser p, int id)`

Method Summary
`void` | `dump(java.lang.String prefix)`
`ASTBlock` | `getBlock()`
`java.lang.String` | `getMethodName()` Gets the name of the method.
`ASTResultType` | `getResultType()`
`boolean` | `isAbstract()`
`boolean` | `isInterfaceMember()`
`boolean` | `isPublic()`
`boolean` | `isSyntacticallyAbstract()`
`boolean` | `isSyntacticallyPublic()`
`boolean` | `isVoid()`
`java.lang.Object` | `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class net.sourceforge.pmd.ast.AccessNode
`collectDumpedModifiers, isFinal, isNative, isPackagePrivate, isPrivate, isProtected, isStatic, isStrictfp, isSynchronized, isTransient, isVolatile, removeModifier, setAbstract, setFinal, setModifiers, setNative, setPrivate, setProtected, setPublic, setStatic, setStrictfp, setSynchronized, setTransient, setVolatile`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, discardIfNecessary, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTMethodDeclaration

    public ASTMethodDeclaration(int id)

### ASTMethodDeclaration

    public ASTMethodDeclaration(JavaParser p,
                                int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`
  Overrides:
    `jjtAccept` in class `SimpleJavaNode`

### dump

    public void dump(java.lang.String prefix)

  Overrides:
    `dump` in class `SimpleNode`

### getMethodName

    public java.lang.String getMethodName()

  Gets the name of the method.

  Returns:
    a String representing the name of the method

### isSyntacticallyPublic

    public boolean isSyntacticallyPublic()

### isSyntacticallyAbstract

    public boolean isSyntacticallyAbstract()

### isPublic

    public boolean isPublic()

  Overrides:
    `isPublic` in class `AccessNode`

### isAbstract

    public boolean isAbstract()

  Overrides:
    `isAbstract` in class `AccessNode`

### isInterfaceMember

    public boolean isInterfaceMember()

### isVoid

    public boolean isVoid()

### getResultType

    public ASTResultType getResultType()

### getBlock

    public ASTBlock getBlock()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.